Subject: Re: bug#38643: [PATCH] Add spacemacs package
From: Ludovic Courtès <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked], saffronsnail <[email-masked]>
Date: Tue, 12 Apr 2022 20:12:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

zimoun <[email-masked]> skribis:

> What is the next action?  Is it worth to include it despite the fact
> that:
>
>         > Do I get it right that Spacemacs will try to fetch the
>         > packages it needs via pkg.el (ELPA)?
>         >
>         > Longer-term, it would be nice if it could fetch packages
>         > through Guix, using Emacs-Guix.  Are you familiar with this
>         > part of Spacemacs?
>
>         I agree that this should be the long-term plan, though I would
>         like to avoid the overhead of maintaining each individual ELPA
>         package separately. I have not `guix import`ed an ELPA package
>         before, but I know that for some other imports manual fixup is
>         needed. Do you know if this is the case for ELPA? If so, I would
>         prefer to work on a way to fix that than to manually maintain
>         dozens of packages.
>
> or do we drop it?

Given that it hasn’t seen any activity, I believe we can close it for
now.  I’d love to see proper Spacemacs integration, but for that we need
saffronsnail or another Spacemacs-savvy person to champion it.

Thanks,
Ludo’.